%define cvsdate 20021018
%define name quakeworld
%define version 2.40
%define release alt2

Name: %name
Version: %version
Release: %release

Summary: QuakeWorld server gamecode
License: GPL
Group: Games/Arcade
URL: http://quakeforge.net/
BuildArch: noarch

%ifdef cvsdate
Source: %name-%cvsdate.tar.bz2
%else
Source: %name.tar.bz2
%endif

Requires: quakeforge

# Automatically added by buildreq on Sun Oct 20 2002 and filtered by raorn
BuildRequires: qfcc

%description
QuakeWorld server gamecode

%prep
%setup -n %name

%build
%make_build
%__gzip qwprogs.dat
%__gzip qwprogs.sym

%install
%__mkdir -p %buildroot%_gamesdatadir/quakeforge/qw
%__install -m644 qwprogs.dat.gz %buildroot%_gamesdatadir/quakeforge/qw/qwprogs.dat.gz
%__install -m644 qwprogs.sym.gz %buildroot%_gamesdatadir/quakeforge/qw/qwprogs.sym.gz

%files
%ifdef cvsdate
%doc CVS.ChangeLog
%endif
%dir %_gamesdatadir/quakeforge/qw
%_gamesdatadir/quakeforge/qw/*

%changelog
* Sun Oct 20 2002 Sir Raorn <raorn@altlinux.ru> 2.40-alt2
- CVS snapshot 20021018

* Tue May 07 2002 Sir Raorn <raorn@altlinux.ru> 2.40-alt1
- Switched to quakeforge's cvs code due to license problems

* Sun Feb 24 2002 Sir Raorn <raorn@altlinux.ru> 2.30-alt1
- Build For Sisyphus

